Package net.snowflake.client.util

## Class PlatformDetector

- java.lang.Object
- - net.snowflake.client.util.PlatformDetector

    @SnowflakeJdbcInternalApi
    public class PlatformDetector
    extends Object

### Constructor Summary

Constructors
`PlatformDetector()`

### Method Summary

All Methods Static Methods Concrete Methods
`static List<String>` `getCachedPlatformDetection()` Get cached platform detection results.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlatformDetector

    public PlatformDetector()

### Method Detail

#### getCachedPlatformDetection

    public static List<String> getCachedPlatformDetection()

Get cached platform detection results. If platform detection has not been performed yet, initializes the cache.